package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFC27Response {

    @Parameter(name = "KalkulackaOK")
    String kalkulackaOK();

    @Parameter(name = "StatusATA_STATUS_CODE")
    String statusATASTATUSCODE();

    @Parameter(name = "StatusATA_STATUS_DESC")
    String statusATASTATUSDESC();

    @Parameter(name = "StatusArcha_STATUS_CODE")
    String statusArchaSTATUSCODE();

    @Parameter(name = "StatusArcha_STATUS_DESC")
    String statusArchaSTATUSDESC();

    @Parameter(name = "StatusAuto_STATUS_CODE")
    String statusAutoSTATUSCODE();

    @Parameter(name = "StatusAuto_STATUS_DESC")
    String statusAutoSTATUSDESC();

    @Parameter(name = "StatusBIN_STATUS_CODE")
    String statusBINSTATUSCODE();

    @Parameter(name = "StatusBIN_STATUS_DESC")
    String statusBINSTATUSDESC();

    @Parameter(name = "StatusBRG_STATUS_CODE")
    String statusBRGSTATUSCODE();

    @Parameter(name = "StatusBRG_STATUS_DESC")
    String statusBRGSTATUSDESC();

    @Parameter(name = "StatusBankKlient4")
    String statusBankKlient4();

    @Parameter(name = "StatusBankKlient_STATUS_CODE")
    String statusBankKlientSTATUSCODE();

    @Parameter(name = "StatusBankKlient_STATUS_DESC")
    String statusBankKlientSTATUSDESC();

    @Parameter(name = "StatusCAP_STATUS_CODE")
    String statusCAPSTATUSCODE();

    @Parameter(name = "StatusCAP_STATUS_DESC")
    String statusCAPSTATUSDESC();

    @Parameter(name = "StatusCAS_ERROR_CODE")
    String statusCASERRORCODE();

    @Parameter(name = "StatusCAS_ERROR_DESC")
    String statusCASERRORDESC();

    @Parameter(name = "StatusCAS_RESULT_CODE")
    String statusCASRESULTCODE();

    @Parameter(name = "StatusCAS_STATUS_CODE")
    String statusCASSTATUSCODE();

    @Parameter(name = "StatusCAS_STATUS_DESC")
    String statusCASSTATUSDESC();

    @Parameter(name = "StatusCBL_STATUS_CODE")
    String statusCBLSTATUSCODE();

    @Parameter(name = "StatusCBL_STATUS_DESC")
    String statusCBLSTATUSDESC();

    @Parameter(name = "StatusCDI_STATUS_CODE")
    String statusCDISTATUSCODE();

    @Parameter(name = "StatusCDI_STATUS_DESC")
    String statusCDISTATUSDESC();

    @Parameter(name = "StatusCMD_STATUS_CODE")
    String statusCMDSTATUSCODE();

    @Parameter(name = "StatusCMD_STATUS_DESC")
    String statusCMDSTATUSDESC();

    @Parameter(name = "StatusCND_STATUS_CODE")
    String statusCNDSTATUSCODE();

    @Parameter(name = "StatusCND_STATUS_DESC")
    String statusCNDSTATUSDESC();

    @Parameter(name = "StatusCUR_STATUS_CODE")
    String statusCURSTATUSCODE();

    @Parameter(name = "StatusCUR_STATUS_DESC")
    String statusCURSTATUSDESC();

    @Parameter(name = "StatusCreditCheck_STATUS_CODE")
    String statusCreditCheckSTATUSCODE();

    @Parameter(name = "StatusCreditCheck_STATUS_DESC")
    String statusCreditCheckSTATUSDESC();

    @Parameter(name = "StatusDHB_STATUS_CODE")
    String statusDHBSTATUSCODE();

    @Parameter(name = "StatusDHB_STATUS_DESC")
    String statusDHBSTATUSDESC();

    @Parameter(name = "StatusDMS_STATUS_CODE")
    String statusDMSSTATUSCODE();

    @Parameter(name = "StatusDMS_STATUS_DESC")
    String statusDMSSTATUSDESC();

    @Parameter(name = "StatusEAR_STATUS_CODE")
    String statusEARSTATUSCODE();

    @Parameter(name = "StatusEAR_STATUS_DESC")
    String statusEARSTATUSDESC();

    @Parameter(name = "StatusEDE_STATUS_CODE")
    String statusEDESTATUSCODE();

    @Parameter(name = "StatusEDE_STATUS_DESC")
    String statusEDESTATUSDESC();

    @Parameter(name = "StatusERN_STATUS_CODE")
    String statusERNSTATUSCODE();

    @Parameter(name = "StatusERN_STATUS_DESC")
    String statusERNSTATUSDESC();

    @Parameter(name = "StatusFCO_STATUS_CODE")
    String statusFCOSTATUSCODE();

    @Parameter(name = "StatusFCO_STATUS_DESC")
    String statusFCOSTATUSDESC();

    @Parameter(name = "StatusFDB_STATUS_CODE")
    String statusFDBSTATUSCODE();

    @Parameter(name = "StatusFDB_STATUS_DESC")
    String statusFDBSTATUSDESC();

    @Parameter(name = "StatusFIP_STATUS_CODE")
    String statusFIPSTATUSCODE();

    @Parameter(name = "StatusFIP_STATUS_DESC")
    String statusFIPSTATUSDESC();

    @Parameter(name = "StatusFSP_STATUS_CODE")
    String statusFSPSTATUSCODE();

    @Parameter(name = "StatusFSP_STATUS_DESC")
    String statusFSPSTATUSDESC();

    @Parameter(name = "StatusGEM_GET_NPB")
    String statusGEMGETNPB();

    @Parameter(name = "StatusGMC_STATUS_CODE")
    String statusGMCSTATUSCODE();

    @Parameter(name = "StatusGMC_STATUS_DESC")
    String statusGMCSTATUSDESC();

    @Parameter(name = "StatusGemini4")
    String statusGemini4();

    @Parameter(name = "StatusGemini_STATUS_CODE")
    String statusGeminiSTATUSCODE();

    @Parameter(name = "StatusGemini_STATUS_DESC")
    String statusGeminiSTATUSDESC();

    @Parameter(name = "StatusGraffiti_STATUS_CODE")
    String statusGraffitiSTATUSCODE();

    @Parameter(name = "StatusGraffiti_STATUS_DESC")
    String statusGraffitiSTATUSDESC();

    @Parameter(name = "StatusHypos_STATUS_CODE")
    String statusHyposSTATUSCODE();

    @Parameter(name = "StatusHypos_STATUS_DESC")
    String statusHyposSTATUSDESC();

    @Parameter(name = "StatusICBS")
    String statusICBS();

    @Parameter(name = "StatusIHE_STATUS_CODE")
    String statusIHESTATUSCODE();

    @Parameter(name = "StatusIHE_STATUS_DESC")
    String statusIHESTATUSDESC();

    @Parameter(name = "StatusIH_STATUS_CODE")
    String statusIHSTATUSCODE();

    @Parameter(name = "StatusIH_STATUS_DESC")
    String statusIHSTATUSDESC();

    @Parameter(name = "StatusIND_STATUS_CODE")
    String statusINDSTATUSCODE();

    @Parameter(name = "StatusIND_STATUS_DESC")
    String statusINDSTATUSDESC();

    @Parameter(name = "StatusISR_STATUS_CODE")
    String statusISRSTATUSCODE();

    @Parameter(name = "StatusISR_STATUS_DESC")
    String statusISRSTATUSDESC();

    @Parameter(name = "StatusLNK_STATUS_CODE")
    String statusLNKSTATUSCODE();

    @Parameter(name = "StatusLNK_STATUS_DESC")
    String statusLNKSTATUSDESC();

    @Parameter(name = "StatusNAS_STATUS_CODE")
    String statusNASSTATUSCODE();

    @Parameter(name = "StatusNAS_STATUS_DESC")
    String statusNASSTATUSDESC();

    @Parameter(name = "StatusNDB_STATUS_CODE")
    String statusNDBSTATUSCODE();

    @Parameter(name = "StatusNDB_STATUS_DESC")
    String statusNDBSTATUSDESC();

    @Parameter(name = "StatusODS_STATUS_CODE")
    String statusODSSTATUSCODE();

    @Parameter(name = "StatusODS_STATUS_DESC")
    String statusODSSTATUSDESC();

    @Parameter(name = "StatusPAE_STATUS_CODE")
    String statusPAESTATUSCODE();

    @Parameter(name = "StatusPAE_STATUS_DESC")
    String statusPAESTATUSDESC();

    @Parameter(name = "StatusPAS_STATUS_CODE")
    String statusPASSTATUSCODE();

    @Parameter(name = "StatusPAS_STATUS_DESC")
    String statusPASSTATUSDESC();

    @Parameter(name = "StatusPMG_STATUS_CODE")
    String statusPMGSTATUSCODE();

    @Parameter(name = "StatusPMG_STATUS_DESC")
    String statusPMGSTATUSDESC();

    @Parameter(name = "StatusPSE_STATUS_CODE")
    String statusPSESTATUSCODE();

    @Parameter(name = "StatusPSE_STATUS_DESC")
    String statusPSESTATUSDESC();

    @Parameter(name = "StatusRTS_STATUS_CODE")
    String statusRTSSTATUSCODE();

    @Parameter(name = "StatusRTS_STATUS_DESC")
    String statusRTSSTATUSDESC();

    @Parameter(name = "StatusSAB_STATUS_CODE")
    String statusSABSTATUSCODE();

    @Parameter(name = "StatusSAB_STATUS_DESC")
    String statusSABSTATUSDESC();

    @Parameter(name = "StatusSAGS_STATUS_CODE")
    String statusSAGSSTATUSCODE();

    @Parameter(name = "StatusSAGS_STATUS_DESC")
    String statusSAGSSTATUSDESC();

    @Parameter(name = "StatusSBO_STATUS_CODE")
    String statusSBOSTATUSCODE();

    @Parameter(name = "StatusSBO_STATUS_DESC")
    String statusSBOSTATUSDESC();

    @Parameter(name = "StatusSFC_STATUS_CODE")
    String statusSFCSTATUSCODE();

    @Parameter(name = "StatusSFC_STATUS_DESC")
    String statusSFCSTATUSDESC();

    @Parameter(name = "StatusSIS_STATUS_CODE")
    String statusSISSTATUSCODE();

    @Parameter(name = "StatusSIS_STATUS_DESC")
    String statusSISSTATUSDESC();

    @Parameter(name = "StatusSMS_STATUS_CODE")
    String statusSMSSTATUSCODE();

    @Parameter(name = "StatusSMS_STATUS_DESC")
    String statusSMSSTATUSDESC();

    @Parameter(name = "StatusSRT_STATUS_CODE")
    String statusSRTSTATUSCODE();

    @Parameter(name = "StatusSRT_STATUS_DESC")
    String statusSRTSTATUSDESC();

    @Parameter(name = "StatusTECH1_STATUS_CODE")
    String statusTECH1STATUSCODE();

    @Parameter(name = "StatusTECH1_STATUS_DESC")
    String statusTECH1STATUSDESC();

    @Parameter(name = "StatusTECH2_STATUS_CODE")
    String statusTECH2STATUSCODE();

    @Parameter(name = "StatusTECH2_STATUS_DESC")
    String statusTECH2STATUSDESC();

    @Parameter(name = "StatusVSW_STATUS_CODE")
    String statusVSWSTATUSCODE();

    @Parameter(name = "StatusVSW_STATUS_DESC")
    String statusVSWSTATUSDESC();

    @Parameter(name = "StatusVisionPlus4")
    String statusVisionPlus4();

    @Parameter(name = "StatusWPS_STATUS_CODE")
    String statusWPSSTATUSCODE();

    @Parameter(name = "StatusWPS_STATUS_DESC")
    String statusWPSSTATUSDESC();

    @Parameter(name = "StatusXYZ_STATUS_CODE")
    String statusXYZSTATUSCODE();

    @Parameter(name = "StatusXYZ_STATUS_DESC")
    String statusXYZSTATUSDESC();

}